# Template Class iterator_impl_base< Const >

- Defined in File iterator.hpp

## Class Documentation

template<bool Const>
class iterator_impl_base<Const>

  Implementation of an iterator that returns only row_handles.

  Template Parameters:

    Category – The category for this iterator

  Public Static Attributes

  static std::size_t N

    variable that contains the number of elements in the tuple